<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/adv/ttadv4161s000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Questions (ttadv4161s000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">
                                 Use this session to maintain the questions that <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef> can display to the users. Questions are used to ask situation-dependent questions to which the user must respond.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">At runtime, the questions are displayed in the language that is specified for the current user.</Paragraph>
			<Paragraph class="Default">Question codes can be used in program script and can be linked to domains, tables, table fields, form fields, and so on.</Paragraph>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">You can only maintain questions within your current package <Link href="/baanerp/tt/glossary/glossary#100016" role="glossary">VRC</Link>.</Paragraph>
			</Note>
		</GeneralSection>
	</HelpTopic>
	<Fields><FieldHelp ID="ttadv461.clan"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Language</Title>
			</Header>
			<FuncDesc>The language of the question. At runtime questions are given in the language of the current user.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.cpac"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link> in which the question is defined.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.vers"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">VRC</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000009" role="glossary">version</Link> of the package for which the question is defined.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.rele"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">VRC</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000010" role="glossary">release</Link> of the package for which the question is defined.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.cust"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">VRC</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000011" role="glossary">customer</Link> extension of the package for which the question is defined. The customer extension is only relevant for customized software.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.cque"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Question Code</Title>
			</Header>
			<FuncDesc>The identification code of the question. A question is uniquely identified by the combination of package code and question code.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttadv461.ques"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Question</Title>
			</Header>
			<FuncDesc>The question text as it is shown when activated.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The question text can contain codes that are substituted when the question is displayed.</Paragraph>
			</SimpleSection>
			<SimpleSection><SectionTitle>
                                    Example
                                 </SectionTitle>
				<List><ListItem>%1$s: substitution of a string</ListItem>
					<ListItem>%1$d: substitution of a digit</ListItem>
					<ListItem>%1$e: substitution of an exponent</ListItem>
				</List>
				<Paragraph class="Default">For details on substitution symbols, refer to the description of the <Emphasis>sprintf$</Emphasis> function in the <DocRef>ERP LN 6.1 Programmer's Guide</DocRef>.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="pdom.i"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Domain</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link> code of the <Link href="/baanerp/tt/glossary/glossary#domain.tt" role="glossary">domain</Link> defined for the question.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The domain is used to enable the user to answer the question.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="cdom.i"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Domain</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#domain.tt" role="glossary">domain</Link> belonging to the question. The domain determines the possible answers to the question.</FuncDesc>
			<AllowedValues><SectionTitle>
                                    Allowed values
                                 </SectionTitle>
				<Paragraph class="Default">The domain must have the data type <GUIRef href="/baanerp/tt/domains/adv.type#enumerated" role="option">Enumerated</GUIRef>.</Paragraph>
			</AllowedValues>
			<SimpleSection></SimpleSection>
			<SimpleSection><SectionTitle>
                                    Example
                                 </SectionTitle>
				<Paragraph class="Default">Often only the answers Yes and No are possible. The question is displayed with a Yes button and a No button. In that case the domain consists of the enumerate constants Yes and No.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="dfas.i"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Default Answer</Title>
			</Header>
			<FuncDesc>The default answer to the question.</FuncDesc>
			<AllowedValues><SectionTitle>
                                    Allowed values
                                 </SectionTitle>
				<Paragraph class="Default">The default answer must be one of the enumerate constants belonging to the specified domain.</Paragraph>
			</AllowedValues>
		</FieldHelp>
		<FieldHelp ID="expi.i"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Expired</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the question is expired for this package VRC and for package VRCs derived from this one.</FuncDesc>
			<SimpleSection><Paragraph class="Default">An expired question cannot be used.</Paragraph>
			</SimpleSection>
		</FieldHelp>
	</Fields>
</Session>
